#include "utils.h"

namespace utils
{
	unsigned long elapsed(unsigned long from, unsigned long to)
	{
		if(to >= from)
		{
			return to - from;
		}
		else
		{
			// if the counter overflowed, this computes the real duration
			// of course it won't work if the counter made a "full turn" or more
			const unsigned long biggestValue = (unsigned long)-1;
			return (biggestValue - from) + to + 1;
		}
	}
}
